micro_utils.dokka
0.15.1

# TemporalFilesRoutingConfigurator

class TemporalFilesRoutingConfigurator(subpath: String = DefaultTemporalFilesSubPath, temporalFilesUtilizer: TemporalFilesRoutingConfigurator.TemporalFilesUtilizer = TemporalFilesUtilizer) : ApplicationRoutingConfigurator.Element

## Constructors

TemporalFilesRoutingConfigurator
Link copied to clipboard
fun TemporalFilesRoutingConfigurator(subpath: String = DefaultTemporalFilesSubPath, temporalFilesUtilizer: TemporalFilesRoutingConfigurator.TemporalFilesUtilizer = TemporalFilesUtilizer)

## Types

TemporalFilesUtilizer
Link copied to clipboard
interface TemporalFilesUtilizer

## Functions

getAndRemoveTemporalFile
Link copied to clipboard
suspend fun getAndRemoveTemporalFile(temporalFileId: TemporalFileId): File?
getTemporalFile
Link copied to clipboard
fun getTemporalFile(temporalFileId: TemporalFileId): File?
invoke
Link copied to clipboard
open operator override fun <Error class: unknown class>.invoke()
removeTemporalFile
Link copied to clipboard
suspend fun removeTemporalFile(temporalFileId: TemporalFileId)

## Properties

utilizerJob
Link copied to clipboard
val utilizerJob: Job